#include "led.h"
#include "delay.h"
#include "sys.h"
#include "usart.h"
//#include "lcd.h"
#include "key.h"
#include "spi.h"
#include "24l01.h"   
//ALIENTEK Mini STM32开发板范例代码24
//无线通信实验  
//技术支持：www.openedv.com
//广州市星翼电子科技有限公司  

 int main(void)
 { 
  u8 num;	 
	u8 tmp_buf[33]; 
	delay_init();	    	 //延时函数初始化	
	NVIC_Configuration();	 
	uart_init(9600);	 	//串口初始化为9600
	LED_Init();		  		//初始化与LED连接的硬件接口
//	LCD_Init();			   	//初始化LCD 	
 	KEY_Init();				//按键初始化
 	NRF24L01_Init();    	//初始化NRF24L01  
  NRF24L01_TX_Mode();   //选择瑞仿STM32为发送端
	 
	 while(1)
	{	
		while(NRF24L01_Check())
	  if(NRF24L01_TxPacket(tmp_buf)==TX_OK)
		{  
			num++;
			if(num%2==0)
		  {
				tmp_buf[0]='0';
				tmp_buf[1]='1';
				tmp_buf[2]='2';
				tmp_buf[3]='3';
				tmp_buf[4]='4';
				tmp_buf[5]='5';
				tmp_buf[6]='6';
				tmp_buf[7]='7';
				tmp_buf[8]='8';
				tmp_buf[9]='9';
			} 
			if(num%2==1)
			{
			 	tmp_buf[0]='0';
				tmp_buf[1]='0';
				tmp_buf[2]='0';
				tmp_buf[3]='0';
				tmp_buf[4]='0';
				tmp_buf[5]='5';
				tmp_buf[6]='6';
				tmp_buf[7]='7';
				tmp_buf[8]='8';
				tmp_buf[9]='9';
			}
		LED0=!LED0;	
    delay_ms(1000);	
			
		}  
	}
}








